"I want to ask a question" - Ask them all here!

Problem link : GUMP Problem - CodeChef
///****************************Bismillahir Rahmanir Rahim*********************** - Pastebin.com

this my code. but I’m getting WA.But i cann’t understand why?
My logic:

the maximum ans will be x^n where
x=(s/n)
but if x%n!=0
then I increase Y x by one
where
y=s%n
now the maximum ans will be X^(n-y)*(X+1)^y%

Can anyone tell me why I am getting WA?Is my logic is wrong?If wrong,then why?
Can you provide a test case for which my code will give WA?

Thanks in advance :slightly_smiling_face::slightly_smiling_face:

Stars depend on the rating you have. The higher the rating the more your stars. It is meant to show your skill level.

please suggest a way to improove dp I am facing huge trouble in it
people recommend me to practice hard but whenever I try to do so
i am unable to solve a single question

Start with ZCO probs…

1 Like

I am getting ‘Wrong-answer’ every time I run this program on codechef, but I get correct answers when I run the same on my pc and I have tested with every test case possible. Can somebody point out the mistake? TIA.
Question link: PR031 Problem - CodeChef
My Code:

import java.util.;
import java.io.
;

public class Tribonacci {

public static void main(String[] args) {
	int num=0;
	int max=0;
	int count=0;	

	for ( ; ; ) {
	Scanner in = new Scanner(System.in);
	num = in.nextInt();
	if (num==-1) break;
	System.out.println(T(num));
	}

     }

public static int T(int n) {

if (n==0) return 0;
if (n==1||n==2) return 1;

return ( T(n-1) + T(n-2) + T(n-3) );

}
}

I dont about this java code but you could see the accepted solutions so that you can figured it out .

@conanrehmani I see ur prob is solved
Isn’t its ur duty to tell here that its solved ?

Yes, i rectified the problem after posting it here. I did not get a chance to visit the forum and update it here. :slight_smile:

Got the solution after a few tries…need to move the line
Scanner in = new Scanner(System.in);
out of the for loop.

https://discuss.codechef.com/at/what-is-wrong-with-my-code/28605
Kindly, help.

I need some help.
Here is my code to the problem.

Codechef says its wrong but it works for all my inputs.
I can take a TLE anytime but a WA?

:unamused::unamused::frowning_face::frowning_face::frowning_face::frowning_face::frowning_face:

What is wrong in my code:
(Please ignore ‘<>’ as when I used them in here it disappeared my header file)
#include iostream
#include iomanip
#include cmath
using namespace std;

int main() {
double amount, balance;
double remBal;
double charge = 0.50;
cin>>amount>>balance;
if(std::fmod(amount, 5.00) != 0){
std::cout<<std::fixed;
std::cout<<std::setprecision(2);
cout<<balance;
}
else if(amount > balance){
std::cout<<std::fixed;
std::cout<<std::setprecision(2);
cout<<balance;
}
else{
remBal = balance - amount - charge;
std::cout<<std::fixed;
std::cout<<std::setprecision(2);
cout<<remBal;
}
}
If anyone can find any problem please tell me, Whenever I am trying to submit the solution it is saying it as a wrong answer.
The Code posted is for problem : HS08TEST Problem - CodeChef

As you have mentioned the link to the question, please mention the link to your code. It would be really helpful

1 Like

hey, I was working on IPCTRAIN and I am having some problem with the time limit of the program.
my code gets partially accepted but I am getting the TLE for the second subtask.
if you could help me with any possible reason for the same would be a great help.
my code

I have tried to learn Hopcroft-Karp bipartite matching algorithm for last couple of days.I went through many articles, wiki page but I am not able to understand the use of bfs. Basically my ques is

why do the augmenting paths have to be the shortest?

and can you explain why the total number of iterations is O(√|V|).

please help me in solving the error in this program
#include <stdio.h>
#include <stdlib.h>
float fac();
int main()
{
float n[10],f[10],t;
scanf("%f",&t);
for(int i=0;i<t;i++) //scanning
{
scanf("%f",&n[i]);
}
for(int i=0;i<t;i++) //calculating
{
f[i]=fac(n[i]);
}
for(int i=0;i<t;i++) //printing
{
printf("%f\n",f[i]);
}
return 0;
}
float fac§
float p;
{ long double m=1,count=0,n;
for(double i=1;i<=p;i++)
{
m=m*i;
}
while(1)
{
n=m%10;
if(n==0)
{
count++;
m=m/10;
}
else
break;

  }

  return count;

}

1 Like

can someone please help me out with this code . I executed it but it’s showing wrong output even when i checked it with given test cases. I am new here so please help me out.
My solution CodeChef: Practical coding for everyone

do a+=ch instead of a*=ch

I was facing some problem in question Evil Proffessor of Dec Lunchtime. I have used an approach where i see all the consecutive pairs of the original string, and for each of them count the number of L,R pairs which will make the consecutive elements same. This approach solves the issue of time complexity BUT I am getting WRONG ANSWER for SUBTASK 2.
MY CODE:
https://www.codechef.com/viewsolution/28544928

I have a doubt in This question.
Here is my Solution.
What I have done:
1)Created a segment tree,each node of the tree has a trie in it,which has the elements a[start] to a[last] inserted in it,where start and end are the beginning and ending indices of the segment of the array stored in that node.
2)Made a maxxor function which gives the max xor of an integer x with the elements of a particular trie
3)Whenever a query is asked,I calculate the answer using the segment tree and the maxxor function
The functions are working correctly since I have got partial credit for the question i.e (37) points.
The expected time complexity is (20)(height of trie)(4 log n)(time required by segment tree)(q)
even though this is in time limits,I think my constants are making it go TLE.
Can someone please tell how I can bring down the value of the constants?
Thanks.